import request from '@/utils/request'

// 查询打卡奖励积分列表
export function listClock(query) {
  return request({
    url: '/system/clockIntegral/list',
    method: 'get',
    params: query
  })
}

// 查询打卡奖励积分详细
export function getClock(id) {
  return request({
    url: '/system/clockIntegral/' + id,
    method: 'get'
  })
}

// 新增打卡奖励积分
export function addClock(data) {
  return request({
    url: '/system/clockIntegral',
    method: 'post',
    data: data
  })
}

// 修改打卡奖励积分
export function updateClock(data) {
  return request({
    url: '/system/clockIntegral',
    method: 'put',
    data: data
  })
}

// 删除打卡奖励积分
export function delClock(id) {
  return request({
    url: '/system/clockIntegral/' + id,
    method: 'delete'
  })
}
